EulerOS 2.0 SP3 : qemu-kvm (EulerOS-SA-2018-1314)

High Nessus Plugin ID 117757

Synopsis

The remote EulerOS host is missing multiple security updates.

Description

According to the versions of the qemu-kvm packages installed, the EulerOS installation on the remote host is affected by the following vulnerabilities :

- QEMU: slirp: heap buffer overflow while reassembling fragmented datagrams (CVE-2018-11806)

- QEMU: i386: multiboot OOB access while loading kernel image (CVE-2018-7550)

Note that Tenable Network Security has extracted the preceding description block directly from the EulerOS security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected qemu-kvm packages.

See Also

http://www.nessus.org/u?e86d1194

Plugin Details

Severity: High

ID: 117757

File Name: EulerOS_SA-2018-1314.nasl

Version: 1.1

Type: local

Published: 2018/09/27

Modified: 2018/09/27

Dependencies: 12634

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.2

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

CVSSv3

Base Score: 8.2

Vector: CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:huawei:euleros:qemu-img, p-cpe:/a:huawei:euleros:qemu-kvm, p-cpe:/a:huawei:euleros:qemu-kvm-common, cpe:/o:huawei:euleros:2.0

Required KB Items: Host/local_checks_enabled, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/sp

Excluded KB Items: Host/EulerOS/uvp_version

Patch Publication Date: 2018/09/20

Reference Information

CVE: CVE-2018-11806, CVE-2018-7550